org.eclipse.net4j.util.security

## Class DiffieHellman.Server.Challenge

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge

- Enclosing class:
    DiffieHellman.Server

      public static final class DiffieHellman.Server.Challenge
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Challenge(ExtendedDataInput in)`
    `Challenge(String serverRealm, String secretAlgorithm, String cypherTransformation, byte[] serverPubKeyEnc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCypherTransformation()`
    `String` | `getSecretAlgorithm()`
    `byte[]` | `getServerPubKeyEnc()`
    `String` | `getServerRealm()`
    `void` | `write(ExtendedDataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Challenge

          public Challenge(String serverRealm,
                           String secretAlgorithm,
                           String cypherTransformation,
                           byte[] serverPubKeyEnc)

    - #### Challenge

          public Challenge(ExtendedDataInput in)
                    throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(ExtendedDataOutput out)
                     throws IOException

      Throws:
        `IOException`

    - #### getServerRealm

          public String getServerRealm()

    - #### getSecretAlgorithm

          public String getSecretAlgorithm()

    - #### getCypherTransformation

          public String getCypherTransformation()

    - #### getServerPubKeyEnc

          public byte[] getServerPubKeyEnc()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html